/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.jtests.beans.beanexc;

import javax.ejb.EntityBean;

import org.objectweb.util.monolog.api.BasicLevel;

/**
 * This is an entity bean with "container managed persistenceversion 1".
 * The state of an instance is stored into a relational database.
 * @author Philippe Durieux, Philippe Coq, Helene Joanin
 */
public class AccountEC extends AccountEC2 implements EntityBean {   

    // ------------------------------------------------------------------
    // State of the bean (CMP v1)
    // They must be public for Container Managed Persistence.
    // ------------------------------------------------------------------
    public  int        number;
    public  String      customer;
    public  long        balance;


    // ------------------------------------------------------------------
    // Accessors and setters implementation
    // ------------------------------------------------------------------

    public int getNumber() {
        logger.log(BasicLevel.DEBUG, "number:"+number);
        return number;
    }

    public void setNumber(int n)  {
        logger.log(BasicLevel.DEBUG, "");
        number = n;
    }

    public long getBalance()  {
        logger.log(BasicLevel.DEBUG, "balance:"+number);
        return balance;
    }

    public void setBalance(long d)  {
        logger.log(BasicLevel.DEBUG, "");
        balance = d;
    }

    public String  getCustomer() {
        logger.log(BasicLevel.DEBUG, "");
        return customer;
    }

    public void setCustomer(String c)  {
        logger.log(BasicLevel.DEBUG, "");
        customer = c;
    }

} 

